EDIT - feature request #8850

Show annotations for DerivedUnits (Fieldunits etc) in Registration and other pages
02/19/2020 09:27 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.17

Severity: normal

Description

Example:

e htips://www.phycobank.org/cdm_dataportal/registration/http%253A%252F%252F phycobank.org%252F 102121
¢ https://www.phycobank.org/cdm_dataportal/name/8ffc8735-c693-4462-9329-fb09aa4b214e/null/null/

In Vaadin habe ich einen vorlaufigen Kommentar, der als Note an der mit Pfeil angegebenen Stelle ausgegeben werden kdnnte:

Registration Id: http://phycobank.org/102121

Event: new name, new nomenclatural type

Paludistella asymmetrica H.Susanti, Mas Yoshida, Makayama, Makada & M.M.Watanabe in Phytotaxa 432(1). 76, fig. 3B
Holotype: Portugal, Seedling bed at Mira, 40°26°M, §°44"W 1986, M. Santos (THS THNS-AL-58967).

published in: Susanti, H., Yoshida, M., Nakayama, T. & al_, Ataxonomic reassessment of Chlamydomonas meslinii
>[VOIvocales, Chlorophyceae) with a description of Paludistella gen.nov. in Phytotaxa 432(1): 65-80: 76, fig. 3

RS
b PSS

1 &+

Die Information ist formal ausreichend. Der Kommentar gibt aber wesentliche Zusatzinformationen fir Nutzende. In diesem Fall ist
aus formalen Griinden ein Specimen in TNS hinterlegt worden. Tats&chlich wichtig ist aber, dass mit dem Stamm SAG 19.88
gearbeitet worden. Wir hatten vereinbart, dass ich die Note einer Kategorie fiir die Veroffentlichung zuweise, welche war das? M.E.
ist die tatsachliche Publikation der Notes noch nicht implementiert.

Uber diese Struktur kdnnten wir auch einen mehrfach von mir gewilinschtes Feature 16sen, das in der Implementierung problematisch
ware.

Sowas wie , The holotype is represented by Fig. 2”. Das bekommen wir in der gegenwartigen Struktur nicht atomisiert unter, als
Kommentar wére das véllig ausreichend.
https://www.phycobank.org/cdm_dataportal/registration/http%253A%252F%252Fphycobank.org%252F102121
https://www.phycobank.org/cdm_dataportal/name/8ffc8735-c693-4462-9329-fb09aa4b214e/null/null/

Aktueller Anlass meiner Mail war, dass ich der Kuratorin der SAG den oben angegebenen Record schickte, um sie darauf
aufmerksam zu machen, dass ihre SAG-Datenbank eine falsche Georeferenzierung des Strains SAG 19.88 hat. Der Bezug fehlt
aber zurzeit bei uns noch, da er nicht unmittelbar fir die Registrierung notwendig ist.

Editorial notes

rain specimen embedded in a resin b

Associated revisions

Revision 0e617798 - 07/23/2020 06:36 PM - Andreas Kohlbecker

ref #8850 showing fieldunit annotations in registration page

Revision ¢558bf25 - 07/23/2020 09:13 PM - Andreas Kohlbecker
ref #8850 adding entity refernces to DerivedUnitFacade for detivedUnit and fieldUnit

Revision 991ae630 - 07/24/2020 12:53 PM - Andreas Kohlbecker

ref #8850 annotations for FieldUnits and nameTypeDesignations in registration and name page

Revision c47414aa - 07/27/2020 10:27 AM - Andreas Kohlbecker

ref #8850 test for footnotes in registration and name pages; footnote support in BaseElement

Revision 26f042e4 - 07/27/2020 02:30 PM - Andreas Kohlbecker

ref #8850 fixing uninitialized variables

Revision 73302d89 - 07/27/2020 02:30 PM - Andreas Kohlbecker

ref #8850 adapting tests to new annotation footnotes

Revision d7d89e58 - 07/29/2020 03:51 PM - Andreas Kohlbecker

ref #8850 cdm_compose_annotations_uri() handling cases withiut fieldUnit

Revision 0eb48f9b - 07/29/2020 03:52 PM - Andreas Kohlbecker

ref #8850 cdm_compose_annotations_uri() handling cases withiut fieldUnit - comment

History

#1 - 02/19/2020 09:32 AM - Andreas Kohlbecker

- Status changed from New to Rejected

#2 - 02/19/2020 11:21 AM - Andreas Kohlbecker
- File picture911-1.png added

- Subject changed from Extend collection editor by additional fileds for townOrLocation, codeStandard to Show annotations for DerivedUnits
(Fieldunits etc) in Registration and other pages

- Category changed from cdm-vaadin to cdm-dataportal

- Status changed from Rejected to New

#3 - 02/19/2020 11:22 AM - Andreas Kohlbecker

- Description updated

#4 - 02/21/2020 06:39 PM - Wolf-Henning Kusber
Example with editorial annotation and etymology annotation: http:/phycobank.org/102135

#5 - 03/10/2020 09:32 AM - Andreas Kohlbecker

- Target version changed from Release 5.13 to Release 5.14
http://phycobank.org/102135

#6 - 04/08/2020 04:10 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#7 - 06/23/2020 02:02 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#8 - 07/23/2020 02:19 PM - Andreas Kohlbecker
- File picture291-1.png added

- Description updated

#9 - 07/27/2020 10:51 AM - Andreas Kohlbecker
- Status changed from New to Resolved
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 0 to 50

this is solved completely. In contrast the original suggestion, | put the footnote into the registration block, since other footnotes are also located there.

Please review

#10 - 08/19/2020 05:20 PM - Wolf-Henning Kusber

- File picture166-1.png added

- File picture166-2.png added

- Status changed from Resolved to Feedback

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 60

Interesting solution. There is something resolved.

But how can you decide if the note is related to the field unit or the specimen?
In fact, | did not differentiate, and the current note should be related to the specimen and has nothing to do with the field unit.

In the Test portal this is confusing:

On the registration page: no note,
Clicking on the specimen link, | come to the page called "Specimen Details": no note (I would expect this here)
1.
Specimen Detalls

Accession number:

TNS-AL-58967
Specimen type designations:

Holotype (designated by Susanti, H., Yoshida, M., Nakayama, T. & al.”)

Record basis:

PreservedSpecimen
Most significant identifier:

TNS-AL-58967
Collection:

TNS

Code:
TNS

Kind of unit:
Specimen
Field data:
Portugal, Seedling bed at Mira, 40°26'N, 8°44'W, 1986, M. Santos.

On the bottom of the page there is a link to field unit (I would not click there... but if | do so, | come to another Page called "Specimen Details" with the
note.
-Specimen Details

no /7

- E Notes:

The SAG 19.88 strain specimen embedded in a resin block is deposited at TNS.
Collector:

Santos, M.F.
Gathering date

1986
Country:

Portugal
Locality:

Seedling bed at Mira
Exact location:

40°26'N, 8°44'W

sis:
FieldUnit

Rec

Longitude:
-8.7333333°

Latitude:
40.4333333°

Derivates:
Portugal, Seedling bed at Mira, 40°26'N, 8°44'W, 1986, M. Santos (TNS TNS-AL-58967).

This is rather confusing...
| cannot recommend this solution for the production as is.

#11 - 08/19/2020 07:20 PM - Andreas Kohlbecker
- File picture220-1.png added

The test portal was connected to the production server. This is the reason why the note was not visible. When connecting the portal to the test server
the reult is as expected:
Registration Id: http://phycobank.org/102121

Event: new name, new nomenclatural type

Paludistella asymmetrica H.Susanti, Mas.Yoshida, Nakayama, Nakada & M.M.Watanabe in Phytotaxa
432(1): 76, fig. 3B
Holotype: Portugal, Seedling bed at Mira, 40°26'N, 8°44'W, 1986, M. Santos (TNS TN5—.-&L—585’!67’}|.I

1. The SAG 19.88 strain specimen embedded in a resin block is deposited at TNS.

published in: Susanti, H., Yoshida, M., Nakayama, T. & al., A taxonomic reassessment of
Chlamydomonas meslinii (Volvocales, Chlorophyceae) with a description of Paludistella gen.nov. in
Phytotaxa 432(1): 65-80: 76, fig. 3B

#12 - 08/19/2020 07:21 PM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 60 to 100

I am now closing this ticked as it is apparantly being solved

#13 - 08/19/2020 08:41 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.17

Files

picture911-1.png 11.6 KB 02/19/2020 Andreas Kohlbecker
picture291-1.png 209 KB 07/23/2020 Andreas Kohlbecker
picture166-1.png 37.1 KB 08/19/2020 Wolf-Henning Kusber
picture166-2.png 46.1 KB 08/19/2020 Wolf-Henning Kusber
picture220-1.png 53.3 KB 08/19/2020 Andreas Kohlbecker
